Package in.cdac.medinfo.csnotk.csnolib.ecl.constraint

## Class SSubRefinement

- java.lang.Object
- - org.snomed.langauges.ecl.domain.refinement.SubRefinement
  - - in.cdac.medinfo.csnotk.csnolib.ecl.constraint.SSubRefinement

- All Implemented Interfaces:
    `SConstraint`, `org.snomed.langauges.ecl.domain.refinement.Refinement`

      public class SSubRefinement
      extends org.snomed.langauges.ecl.domain.refinement.SubRefinement
      implements SConstraint

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSubRefinement()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<Concept>` | `addQuery()` |
    `java.util.Set<java.lang.String>` | `getConceptIds()` |
    `SEclAttributeSet` | `getEclAttributeSet()` |
    `SEclRefinement` | `getEclRefinement()` |

    - ### Methods inherited from class org.snomed.langauges.ecl.domain.refinement.SubRefinement

      `getEclAttributeGroup, setEclAttributeGroup, setEclAttributeSet, setEclRefinement, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSubRefinement

          public SSubRefinement()

  - ### Method Detail

    - #### addQuery

          public java.util.Set<Concept> addQuery()

      Specified by:
        `addQuery` in interface `SConstraint`

    - #### getEclRefinement

          public SEclRefinement getEclRefinement()

      Overrides:
        `getEclRefinement` in class `org.snomed.langauges.ecl.domain.refinement.SubRefinement`

    - #### getEclAttributeSet

          public SEclAttributeSet getEclAttributeSet()

      Overrides:
        `getEclAttributeSet` in class `org.snomed.langauges.ecl.domain.refinement.SubRefinement`

    - #### getConceptIds

          public java.util.Set<java.lang.String> getConceptIds()

      Specified by:
        `getConceptIds` in interface `SConstraint`